Bug 1901392 - Issue when refreshing the User Group with "." as part of the name, for example "grp.01"
Summary: Issue when refreshing the User Group with "." as part of the name, for exampl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: LDAP
Version: 6.6.0
Hardware: All
OS: All
high
medium vote
Target Milestone: 6.9.0
Assignee: Tomer Brisker
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-25 02:05 UTC by Waldirio M Pinheiro
Modified: 2021-04-21 13:24 UTC (History)
4 users (show)

Fixed In Version: foreman-2.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:24:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31398 0 Normal Closed Issue when refreshing the User Group with "." as part of the name, for example "grp.01" 2021-01-18 12:58:43 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:24:44 UTC

Description Waldirio M Pinheiro 2020-11-25 02:05:06 UTC
Description of problem:
After configuring the User Group feature using a group with dot "." in the name, the refresh button will fail.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. In AD side, two groups were created "grp.01" and "grp_01"
2. Both were configured on Satellite / User Group,


Actual results:
When refreshing the group "grp_01" it works as expected, when refreshing the group "grp.01" we can see the issue.

Expected results:
Both works.

Additional info:

Comment 4 Tomer Brisker 2020-11-26 08:11:42 UTC
Created redmine issue https://projects.theforeman.org/issues/31398 from this bug

Comment 6 Bryan Kearney 2020-11-26 12:01:36 UTC
Upstream bug assigned to tbrisker

Comment 7 Bryan Kearney 2020-11-26 12:01:39 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31398 has been resolved.

Comment 9 Akhil Jha 2020-12-23 08:26:36 UTC
Verified.

Version: Satellite 6.9.0 Snap 6.0

Steps: Same as description.

Comment 12 errata-xmlrpc 2021-04-21 13:24:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.